Package org.eclipse.emf.cdo.spi.common.model

# Interface InternalCDOClassInfo.PersistenceFilter

Enclosing interface:
  `InternalCDOClassInfo`

public static interface InternalCDOClassInfo.PersistenceFilter
Encapsulation of a rule for filtering the persistent values of a feature in some model element. Some models (such as UML's Activity metaclass) require partial persistence of features, persisting a subset of the values in a feature that are also in some other feature (the filtering feature). Other models may apply other transformations to features that require partial or otherwise custom persistence rules.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getPersistableValue(EObject owner, Object value)`
Get a subset or other transformation of the specified `value` of a persistable feature, based on its dependencies.

## Method Details

### getPersistableValue

Object getPersistableValue(EObject owner, Object value)
Get a subset or other transformation of the specified `value` of a persistable feature, based on its dependencies.

Parameters:
  `owner` - an object this filter is to be applied to.
  `value` - the value (which may be a collection) of the `owner`'s feature.
Returns:
  the transformed value to persist. It should be a collection (possibly empty) if the `value` is a collection, or a scalar (possibly `null`) if the `value` is a scalar